Package com.castlabs.android.player

# Class AbstractPlayerControllerListener

java.lang.Object
com.castlabs.android.player.AbstractPlayerControllerListener

All Implemented Interfaces:
  `PlayerControllerListener`

public abstract class AbstractPlayerControllerListener extends Object implements PlayerControllerListener
Abstract implementation of the `PlayerControllerListener`. All methods of the the `PlayerControllerListener` are implemented with empty bodies and you can extend this class if you only need to implement a subset of the callbacks. Using this abstract class instead of the interface might also simplify updates of the API.

*NOTE* that all listener methods are invoked on the UI/main thread of your applications. You can directly interact with UI components from within the implementation of you listener.

Since:
  3.1.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractPlayerControllerListener()`
  Default constructor for the AbstractPlayerControllerListener.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDestroy(PlayerController controller)`
  Called when the controller is destroyed
  `void`
  `onRelease(PlayerController controller)`
  Called when the controller is released

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractPlayerControllerListener

    public AbstractPlayerControllerListener()
    Default constructor for the AbstractPlayerControllerListener.

- ## Method Details

  - ### onDestroy

    public void onDestroy(PlayerController controller)
    Description copied from interface: `PlayerControllerListener`
    Called when the controller is destroyed
    Specified by:
      `onDestroy` in interface `PlayerControllerListener`
    Parameters:
      `controller` - The controller

  - ### onRelease

    public void onRelease(PlayerController controller)
    Description copied from interface: `PlayerControllerListener`
    Called when the controller is released
    Specified by:
      `onRelease` in interface `PlayerControllerListener`
    Parameters:
      `controller` - The controller